#
# spec file for package perl-Dist-Zilla-Util-EmulatePhase
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla-Util-EmulatePhase
Version:        1.001002
Release:        1.1
%define cpan_name Dist-Zilla-Util-EmulatePhase
Summary:        Nasty tools for probing Dist::Zilla's internal state
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla-Util-EmulatePhase/
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Dist::Zilla::Prereqs)
BuildRequires:  perl(Hash::Merge::Simple)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::DZil)
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(namespace::autoclean)
Requires:       perl(Dist::Zilla::Prereqs)
Requires:       perl(Hash::Merge::Simple)
Requires:       perl(Moose)
Requires:       perl(Sub::Exporter)
Requires:       perl(Try::Tiny)
Requires:       perl(namespace::autoclean)
Recommends:     perl(Moose) >= 2.000
%{perl_requires}

%description
Nasty tools for probing Dist::Zilla's internal state.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Wed Jun 21 2017 coolo@suse.com
- updated to 1.001002
  see /usr/share/doc/packages/perl-Dist-Zilla-Util-EmulatePhase/Changes
* Sun Apr 19 2015 coolo@suse.com
- updated to 1.001001
  see /usr/share/doc/packages/perl-Dist-Zilla-Util-EmulatePhase/Changes
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.01025800
  see /usr/share/doc/packages/perl-Dist-Zilla-Util-EmulatePhase/Changes
  0.01025800 2011-07-13T02:16:46Z
  [Features]
  - The warning diagnostic call that triggers when plugins call
    '_share_dir_map' from register_plugins  has been special-cased with a
    white-list so that no errors are produced for the MakeMaker plugin and
    everything else will Carp fatally. Hopefully this doesn't prove a
    problem for anyone.
  [Packaging]
  - Updated copyright notice.
  - METAData updated for GitHub
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 0.01016513
  * created by cpanspec 1.78.04
